Package anbxj

# Class AnBx_Debug

java.lang.Object
anbxj.AnBx_Debug

public class AnBx_Debug extends Object
AnBx Debug/Logging utility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnBx_Debug()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAppname()`
  Retrieve the application name
  `static void`
  `out(AnBx_Layers layer, Object obj)`
  Print a debug message related to an object based on the debug level set and the current layer
  `static void`
  `setALL(boolean value)`
  Enable/disable all debug levels
  `static void`
  `setAPPLICATION(boolean application)`
  Enable/disable the APPLICATION debug level
  `static void`
  `setAppname(String appname)`
  Set the application name
  `static void`
  `setBUSINESS_LOGIC(boolean business_logic)`
  Enable/disable the BUSINESS_LOGIC debug level
  `static void`
  `setDebug(boolean network, boolean encryption, boolean language, boolean session, boolean protocol, boolean business_logic, boolean application, boolean always, boolean exception)`
  Enable/disable individual debug level
  `static void`
  `setENCRYPTION(boolean encryption)`
  Enable/disable the ENCRYPTION debug level
  `static void`
  `setEXCEPTION(boolean exception)`
  Enable/disable the EXCEPTION debug level
  `static void`
  `setLANGUAGE(boolean language)`
  set the LANGUAGE debug level
  `static void`
  `setNETWORK(boolean network)`
  Enable/disable the NETWORK debug level
  `static void`
  `setPROTOCOL(boolean protocol)`
  Enable/disable the PROTOCOL debug level
  `static void`
  `setSESSION(boolean session)`
  Enable/disable the SESSION debug level

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnBx_Debug

    public AnBx_Debug()
    Default constructor

- ## Method Details

  - ### out

    public static void out(AnBx_Layers layer, Object obj)
    Print a debug message related to an object based on the debug level set and the current layer
    Parameters:
      `layer` - the current layer
      `obj` - the object

  - ### setALL

    public static void setALL(boolean value)
    Enable/disable all debug levels
    Parameters:
      `value` - (true/false)

  - ### setDebug

    public static void setDebug(boolean network, boolean encryption, boolean language, boolean session, boolean protocol, boolean business_logic, boolean application, boolean always, boolean exception)
    Enable/disable individual debug level
    Parameters:
      `network` - the NETWORK to set (true/false)
      `encryption` - the ENCRYPTION to set (true/false)
      `language` - the LANGUAGE to set (true/false)
      `session` - the SESSION to set (true/false)
      `protocol` - the PROTOCOL to set (true/false)
      `business_logic` - the BUSINESS_LOGIC to set (true/false)
      `application` - the APPLICATION to set (true/false)
      `always` - the ALWAYS to set (true/false)
      `exception` - the EXCEPTION to set (true/false)

  - ### setAPPLICATION

    public static void setAPPLICATION(boolean application)
    Enable/disable the APPLICATION debug level
    Parameters:
      `application` - the APPLICATION to set (true/false)

  - ### setBUSINESS_LOGIC

    public static void setBUSINESS_LOGIC(boolean business_logic)
    Enable/disable the BUSINESS_LOGIC debug level
    Parameters:
      `business_logic` - the BUSINESS_LOGIC to set (true/false)

  - ### setENCRYPTION

    public static void setENCRYPTION(boolean encryption)
    Enable/disable the ENCRYPTION debug level
    Parameters:
      `encryption` - the ENCRYPTION to set (true/false)

  - ### setEXCEPTION

    public static void setEXCEPTION(boolean exception)
    Enable/disable the EXCEPTION debug level
    Parameters:
      `exception` - the EXCEPTION to set (true/false)

  - ### setLANGUAGE

    public static void setLANGUAGE(boolean language)
    set the LANGUAGE debug level
    Parameters:
      `language` - the LANGUAGE to set (true/false)

  - ### setNETWORK

    public static void setNETWORK(boolean network)
    Enable/disable the NETWORK debug level
    Parameters:
      `network` - the NETWORK to set (true/false)

  - ### setPROTOCOL

    public static void setPROTOCOL(boolean protocol)
    Enable/disable the PROTOCOL debug level
    Parameters:
      `protocol` - the PROTOCOL to set (true/false)

  - ### setSESSION

    public static void setSESSION(boolean session)
    Enable/disable the SESSION debug level
    Parameters:
      `session` - the SESSION to set (true/false)

  - ### getAppname

    public static String getAppname()
    Retrieve the application name
    Returns:
      the appname

  - ### setAppname

    public static void setAppname(String appname)
    Set the application name
    Parameters:
      `appname` - the appname to set